ClarisDrawGraphInternal::Style Struct Reference documentation

ClarisDrawGraphInternal::Style Struct Referencefinal

Internal: the structure used to store a style of a ClarisDrawGraph. More...

Inheritance diagram for ClarisDrawGraphInternal::Style:

## Public Member Functions
| Style ()
| constructor
| Style (Style const &)=default
| ~Style () final
| destructor
MWAWPosition::Wrapping | getWrapping () const
| returns the wrapping
Public Member Functions inherited from MWAWGraphicStyle
| MWAWGraphicStyle ()
| constructor
| MWAWGraphicStyle (MWAWGraphicStyle const &)=default
MWAWGraphicStyle & | operator= (MWAWGraphicStyle const &)=default
MWAWGraphicStyle & | operator= (MWAWGraphicStyle &&)=default
virtual | ~MWAWGraphicStyle ()
| virtual destructor
bool | hasLine () const
| returns true if the border is defined
void | setSurfaceColor (MWAWColor const &col, float opacity=1)
| set the surface color
bool | hasSurfaceColor () const
| returns true if the surface is defined
void | setPattern (Pattern const &pat, float opacity=1)
| set the pattern
bool | hasPattern () const
| returns true if the pattern is defined
bool | hasGradient (bool complex=false) const
| returns true if the gradient is defined
bool | hasHatch () const
| returns true if the hatch is defined
bool | hasSurface () const
| returns true if the interior surface is defined
void | setBackgroundColor (MWAWColor const &col, float opacity=1)
| set the background color
bool | hasBackgroundColor () const
| returns true if the background is defined
void | setShadowColor (MWAWColor const &col, float opacity=1)
| set the shadow color
bool | hasShadow () const
| returns true if the shadow is defined
bool | hasBorders () const
| return true if the frame has some border
bool | hasSameBorders () const
| return true if the frame has some border
std::vector< MWAWBorder > const & | borders () const
| return the frame border: libmwaw::Left | ...
void | resetBorders ()
| reset the border
void | setBorders (int wh, MWAWBorder const &border)
| sets the cell border: wh=libmwaw::LeftBit|...
void | addTo (librevenge::RVNGPropertyList &pList, bool only1d=false) const
| add all the parameters to the propList excepted the frame parameter: the background and the borders
void | addFrameTo (librevenge::RVNGPropertyList &pList) const
| add all the frame parameters to propList: the background and the borders
int | cmp (MWAWGraphicStyle const &a) const
| compare two styles

## Public Attributes
int | m_wrapping
| the wrap type
int | m_surfacePatternType
| the surface pattern type
Public Attributes inherited from MWAWGraphicStyle
std::vector< float > | m_lineDashWidth
| the dash array: a sequence of (fullsize, emptysize)
float | m_lineWidth
| the linewidth
LineCap | m_lineCap
| the line cap
LineJoin | m_lineJoin
| the line join
float | m_lineOpacity
| the line opacity: 0=transparent
MWAWColor | m_lineColor
| the line color
MWAWColor | m_surfaceColor
| the surface color
float | m_surfaceOpacity
| true if the surface has some color
MWAWColor | m_shadowColor
| the shadow color
float | m_shadowOpacity
| true if the shadow has some color
MWAWVec2f | m_shadowOffset
| the shadow offset
Pattern | m_pattern
| the pattern if it exists
Gradient | m_gradient
| the gradient
Hatch | m_hatch
| the hatch
MWAWColor | m_backgroundColor
| the background color
float | m_backgroundOpacity
| true if the background has some color
float | m_rotate
| the rotation
std::vector< MWAWBorder > | m_bordersList
| the borders MWAWBorder::Pos (for a frame)
std::string | m_frameName
| the frame name
std::string | m_frameNextName
| the frame next name (if there is a link)
Arrow | m_arrows [2]
| the two arrows corresponding to start and end extremity
bool | m_flip [2]
| two bool to indicated we need to flip the shape or not
bool | m_fillRuleEvenOdd
| true if the fill rule is evenod
bool | m_doNotPrint
| a bool to know if the shape must not be printed
VerticalAlignment | m_verticalAlignment
| related to text area
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Style const &st)
| operator<<

## Additional Inherited Members
Public Types inherited from MWAWGraphicStyle
enum | LineCap { C_Butt , C_Square , C_Round }
| an enum used to define the basic line cap More...
enum | LineJoin { J_Miter , J_Round , J_Bevel }
| an enum used to define the basic line join More...
enum | VerticalAlignment { V_AlignBottom , V_AlignCenter , V_AlignJustify , V_AlignTop , V_AlignDefault }
| an enum used to define the vertical alignment More...
Static Public Member Functions inherited from MWAWGraphicStyle
static MWAWGraphicStyle | emptyStyle ()
| returns an empty style.

## Detailed Description

Internal: the structure used to store a style of a ClarisDrawGraph.

## Constructor & Destructor Documentation

## ◆ Style() [1/2]

ClarisDrawGraphInternal::Style::Style | ( |  | ) |
| inline

constructor

Referenced by operator<<, and Style().

## ◆ Style() [2/2]

ClarisDrawGraphInternal::Style::Style | ( | Style const & |  | ) |
| default

## ◆ ~Style()

ClarisDrawGraphInternal::Style::~Style | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getWrapping()

MWAWPosition::Wrapping ClarisDrawGraphInternal::Style::getWrapping | ( |  | ) | const
| inline

returns the wrapping

Referenced by getWrapping().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Style const & | st )
| friend

operator<<

## Member Data Documentation

## ◆ m_surfacePatternType

int ClarisDrawGraphInternal::Style::m_surfacePatternType

the surface pattern type

Referenced by operator<<, and Style().

## ◆ m_wrapping

int ClarisDrawGraphInternal::Style::m_wrapping

the wrap type

Referenced by getWrapping(), operator<<, and Style().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx